Core - Bug # 67286

Status: Resolved Priority: Should have
Author: Morton Jonuschat Category: DBAL
Created: 2015-06-03 Assigned To:

Updated: 2015-06-06 Due date:

TYPO3 Version: 7

PHP Version: 5.6

Complexity:

Is Regression: No

Sprint Focus:

Subject:

InstallTool Database Compare shows all tables missing

Description

When using the InstallTool with DBAL the Important Actions -> Compare current database with specification wants to create all tables

from core and extensions on every invocation.

DBMS: PostgreSQL 9.4
TYPO3: 7.3-dev

Related issues:
related to Core - Epic # 64459: Make TYPOS run on PostgreSQL

related to Core - Bug # 67067: dbal admin_get_tables() returns information in...
related to Core - Bug # 66671: Install Tool should show the ALTER TABLE inste...

New
Resolved
Closed

2015-01-23
2015-05-20
2015-04-30

Associated revisions

Revision 2058d65c¢ - 2015-06-06 15:29 - Morton Jonuschat

[BUGFIX] InstallTool: connect to DBMS before retrieving current schema

SqglSchemaMigrationService needs to explicitly connect to the database
before retrieving the current schema. On native MySQL connections this
happens implicitly when using sql_select_db(), on DBAL a connectDB() is

required.

Resolves: #67286

Releases: master, 6.2

Change-Id: 12c93111f1f6919f31d71b4b46fd353d9a3629dbc
Reviewed-on: http://review.typo3.0rg/39937

Reviewed-by: Andreas Fernandez <typo3@scripting-base.de>

Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Tested-by: Christian Kuhn <lolli@schwarzbu.ch>
Reviewed-by: Markus Klein <markus.klein@typo3.org>

Tested-by: Markus Klein <markus.klein@typo3.org>

Revision 96797665 - 2015-06-06 15:29 - Morton Jonuschat

[BUGFIX] InstallTool: connect to DBMS before retrieving current schema

SqlSchemaMigrationService needs to explicitly connect to the database
before retrieving the current schema. On native MySQL connections this
happens implicitly when using sql_select_db(), on DBAL a connectDB() is
required.

Resolves: #67286

Releases: master, 6.2

Change-Id: 12c93111f1f6919f31d71b4b46fd353d9a3629dbc
Reviewed-on: http://review.typo3.org/40046

Reviewed-by: Markus Klein <markus.klein@typo3.org>

Tested-by: Markus Klein <markus.klein@typo3.org>

History

#1 - 2015-06-03 23:07 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.0rg/39937

#2 - 2015-06-06 15:29 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/40046

#3 - 2015-06-06 15:31 - Morton Jonuschat
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:2058d65cd55c0970d8720661dfe823b1246¢523c.

2015-08-04

22


http://review.typo3.org/40046
mailto:markus.klein@typo3.org
mailto:markus.klein@typo3.org
http://review.typo3.org/39937
http://review.typo3.org/40046

